zenilib: zenilib/jni/external/freetype2/include/freetype/internal/services/svmm.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
svmm.h File Reference
`#include <FT_INTERNAL_SERVICE_H>`

Go to the source code of this file.

## Macros

#define | FT_DEFINE_SERVICE_MULTIMASTERSREC(class_,get_mm_,set_mm_design_,set_mm_blend_,get_mm_var_,set_var_design_)
#define | FT_SERVICE_ID_MULTI_MASTERS "multi-masters"

## Typedefs

typedef FT_Error(* | FT_Get_MM_Func )(FT_Face face, FT_Multi_Master *master)
typedef FT_Error(* | FT_Get_MM_Var_Func )(FT_Face face, FT_MM_Var **master)
typedef FT_Error(* | FT_Set_MM_Blend_Func )(FT_Face face, FT_UInt num_coords, FT_Long *coords)
typedef FT_Error(* | FT_Set_MM_Design_Func )(FT_Face face, FT_UInt num_coords, FT_Long *coords)
typedef FT_Error(* | FT_Set_Var_Design_Func )(FT_Face face, FT_UInt num_coords, FT_Fixed *coords)

## Functions

| FT_DEFINE_SERVICE (MultiMasters)

## Macro Definition Documentation

#define FT_DEFINE_SERVICE_MULTIMASTERSREC | ( |  | class_,
|  |  | get_mm_,
|  |  | set_mm_design_,
|  |  | set_mm_blend_,
|  |  | get_mm_var_,
|  |  | set_var_design_
| ) |  |

Value:
static const FT_Service_MultiMastersRec class_ = \
{ \
get_mm_, set_mm_design_, set_mm_blend_, get_mm_var_, set_var_design_ \
};

Definition at line 74 of file svmm.h.

#define FT_SERVICE_ID_MULTI_MASTERS "multi-masters"

Definition at line 35 of file svmm.h.

## Typedef Documentation

typedef FT_Error(* FT_Get_MM_Func)(FT_Face face, FT_Multi_Master *master)

Definition at line 39 of file svmm.h.

typedef FT_Error(* FT_Get_MM_Var_Func)(FT_Face face, FT_MM_Var **master)

Definition at line 43 of file svmm.h.

typedef FT_Error(* FT_Set_MM_Blend_Func)(FT_Face face, FT_UInt num_coords, FT_Long *coords)

Definition at line 57 of file svmm.h.

typedef FT_Error(* FT_Set_MM_Design_Func)(FT_Face face, FT_UInt num_coords, FT_Long *coords)

Definition at line 47 of file svmm.h.

typedef FT_Error(* FT_Set_Var_Design_Func)(FT_Face face, FT_UInt num_coords, FT_Fixed *coords)

Definition at line 52 of file svmm.h.

## Function Documentation

FT_DEFINE_SERVICE | ( | MultiMasters |  | ) |

Definition at line 62 of file svmm.h.